Skip to main content
`Ctrl`+`K`

# degree_mixing_dict

degree_mixing_dict(G, x='out', y='in', weight=None, nodes=None, normalized=False)

  Returns dictionary representation of mixing matrix for degree.

  Parameters:
    G graph

      NetworkX graph object.

    x: string (‘in’,’out’)

      The degree type for source node (directed graphs only).

    y: string (‘in’,’out’)

      The degree type for target node (directed graphs only).

    weight: string or None, optional (default=None)

      The edge attribute that holds the numerical value used as a weight. If None, then each edge has weight 1. The degree is the sum of the edge weights adjacent to the node.

    normalized bool (default=False)

      Return counts if False or probabilities if True.

  Returns:
    d: dictionary

      Counts or joint probability of occurrence of degree pairs.